# Set-RASThemeCustomImage

### NAME

Set-RASThemeCustomImage\ <br>

### SYNOPSIS

Modify a theme custom image.\ <br>

### SYNTAX

Set-RASThemeCustomImage \[-Id] *\<uint>* \[-NewName] *\<string>* \[*\<CommonParameters>*]\ <br>

### DESCRIPTION

Modify a theme custom image.\ <br>

### PARAMETERS

\
-**Id \<uint>**\
The ID of the Theme Custom Image to modify. To obtain the ID, use the Get-RASThemeCustomImage cmdlet.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**NewName \<string>**\
The new name of the specified Theme Custom Image\ <br>

```
        Required?                    true
```

```
        Position?                    1
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

-none-

### OUTPUTS

-none-

### EXAMPLES

\
\&#xNAN;**---------- EXAMPLE 1 ----------**\
\
Set-RASThemeCustomImage -Id 1 -NewName myImage\
\
Rename the theme custom image with Id 1 with the specified new name.<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/set-rasthemecustomimage.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
